Package com.clickhouse.jdbc

# Class DriverV1

java.lang.Object
com.clickhouse.jdbc.DriverV1

All Implemented Interfaces:
  `Driver`

@Deprecated public class DriverV1 extends Object implements Driver
Deprecated.
JDBC driver for ClickHouse. It takes a connection string like below for connecting to ClickHouse server: `jdbc:(ch|clickhouse)[:<protocol>]://[<user>[:<password>]@]<host>[:<port>][/<db>][?<parameter=value>,[<parameter=value]]][#<tag>[,<tag>]]`

For examples:

- `jdbc:clickhouse://localhost:8123/system`
- `jdbc:clickhouse://admin:password@localhost/system?socket_time=30`
- `jdbc:clickhouse://localhost/system?protocol=grpc`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DriverV1.FrameworksDetection`
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`frameworksDetected`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`DriverV1()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsURL(String url)`
Deprecated.
`ClickHouseConnection`
`connect(String url, Properties info)`
Deprecated.
`int`
`getMajorVersion()`
Deprecated.
`int`
`getMinorVersion()`
Deprecated.
`Logger`
`getParentLogger()`
Deprecated.
`DriverPropertyInfo[]`
`getPropertyInfo(String url, Properties info)`
Deprecated.
`boolean`
`jdbcCompliant()`
Deprecated.
`static void`
`load()`
Deprecated.
`static Map<ClickHouseOption,Serializable>`
`toClientOptions(Properties props)`
Deprecated.
`static void`
`unload()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frameworksDetected

public static String frameworksDetected
Deprecated.

## Constructor Details

### DriverV1

public DriverV1()
Deprecated.

## Method Details

### load

public static void load()
Deprecated.

### unload

public static void unload()
Deprecated.

### toClientOptions

public static Map<ClickHouseOption,Serializable> toClientOptions(Properties props)
Deprecated.

### acceptsURL

public boolean acceptsURL(String url) throws SQLException
Deprecated.

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

### connect

public ClickHouseConnection connect(String url, Properties info) throws SQLException
Deprecated.

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo(String url, Properties info) throws SQLException
Deprecated.

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

### getMajorVersion

public int getMajorVersion()
Deprecated.

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()
Deprecated.

Specified by:
  `getMinorVersion` in interface `Driver`

### jdbcCompliant

public boolean jdbcCompliant()
Deprecated.

Specified by:
  `jdbcCompliant` in interface `Driver`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException
Deprecated.

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`